KDK_REAL_GET_DISK_TEMPERATURE(3)

NAME
kdk_real_get_disk_temperature - 获取磁盘温度

SYNOPSIS
#include <libkyrealtimeinfo.h>

extern int kdk_real_get_disk_temperature(const char *name);

Link with -lkyrealtime.

Detailed Description
The main function of the interface is to obtain the disk temperature.

The argument name is the name of the disk, such as absolute path such as /dev/sda.

RETURN VALUE
On success, returns the disk temperature of type int.

On error, return -1.

EXAMPLES
    #include "stdio.h"
    #include "libkyrealtimeinfo.h"
    int main()
    {
        // if(argc < 3)
        // {
        //     printf("./kyrealtime-test <网卡名> <磁盘名>);
        //     return 0;
        // }
        printf("netSpeed : %f, kdk_real_get_net_speed("enaftgm1i0"));
        printf("cpuTemp: %f, kdk_real_get_cpu_temperature());
        printf("diskTemp : %d, kdk_real_get_disk_temperature("/dev/nvme0n1"));
        printf("diskRate : %d, kdk_real_get_disk_rate("/dev/nvme0n1"));
        printf("ifnetSpeed : %f, kdk_real_get_if_speed("enaftgm1i0"));
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_real_get_net_speed(), kdk_real_get_cpu_temperature(), kdk_real_get_disk_rate() and kdk_real_get_if_speed().

SEE ALSO
kdk_real_get_net_speed(3), kdk_real_get_cpu_temperature(3), kdk_real_get_disk_rate(3) and kdk_real_get_if_speed(3).